﻿using System;
using System.Collections;
using System.Collections.Specialized;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ShowImage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        System.Configuration.Configuration rootWebConfig =
            System.Web.Configuration.WebConfigurationManager.OpenWebConfiguration("~/Final");
        String myConnString =
            rootWebConfig.ConnectionStrings.ConnectionStrings["ConnectionString"].ToString();
        SqlConnection myConn = new SqlConnection(myConnString);
        myConn.Open();

        SqlCommand myQuery = new SqlCommand("SELECT image FROM image2 WHERE imageID=@imageID", myConn);

        NameValueCollection myColl = Request.QueryString; /* assumed to be imageID = n */
        string[] myVals = myColl.GetValues(0); 
        int imageID = Convert.ToInt32(myVals[0]); 
        myQuery.Parameters.AddWithValue("@imageID", imageID);

        Response.ContentType = "image/jpeg";

        SqlDataReader myDR = myQuery.ExecuteReader();
        myDR.Read();
        byte[] myBytes = (byte[])myDR.GetValue(0);
        Response.OutputStream.Write(myBytes,0,myBytes.Length); 
        myConn.Close();
    }
}
