﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ImageUpload : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack && FileUpload1.HasFile && CheckBox1.Checked)
        {
            System.Configuration.Configuration rootWebConfig =
                System.Web.Configuration.WebConfigurationManager.OpenWebConfiguration("~/Final");
            String myConnString =
                rootWebConfig.ConnectionStrings.ConnectionStrings["ConnectionString"].ToString();
            SqlConnection myConn = new SqlConnection(myConnString);
            myConn.Open();
            SqlTransaction myTrans = myConn.BeginTransaction();

            try
            {
                SqlCommand myQuery = new SqlCommand("SELECT claimID FROM claim WHERE reference=@reference", myConn);
                myQuery.Transaction = myTrans;
                myQuery.Parameters.AddWithValue("@reference", TextBox1.Text);
                SqlDataReader myDR;
                myDR = myQuery.ExecuteReader();
                if (!myDR.Read())
                {
                    Label1.Text = "Invalid claim reference";
                    return;
                }
                int claimID = myDR.GetInt32(0);
                myDR.Close();

                Byte[] imageBytes = new Byte[FileUpload1.PostedFile.InputStream.Length];
                FileUpload1.PostedFile.InputStream.Read(imageBytes, 0, imageBytes.Length);

                SqlCommand myInsert = new SqlCommand("INSERT INTO image2 VALUES(@title,@description,@claimID,@image)", myConn);
                myInsert.Transaction = myTrans;
                myInsert.Parameters.AddWithValue("@title", TextBox2.Text);
                myInsert.Parameters.AddWithValue("@description", TextBox3.Text);
                myInsert.Parameters.AddWithValue("@claimID", claimID);
                myInsert.Parameters.AddWithValue("@image", imageBytes);
                int rows = myInsert.ExecuteNonQuery();
                if (rows != 1) throw new Exception("Unexpected Result for Insert");
                myTrans.Commit();

                TextBox1.Text = "";
                TextBox2.Text = "";
                TextBox3.Text = "";
            }
            catch (Exception myEx)
            {
                myTrans.Rollback();
            }
        }
    }
}
